Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 982428 - Review Request: python-oslo-sphinx - OpenStack Sphinx Extensions
Summary: Review Request: python-oslo-sphinx - OpenStack Sphinx Extensions
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kashyap Chamarthy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-09 02:40 UTC by Dan Prince
Modified: 2014-03-07 14:48 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-23 14:09:55 UTC
Type: ---
kchamart: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Dan Prince 2013-07-09 02:40:33 UTC
Spec URL: http://dprince.fedorapeople.org/python-oslo-sphinx.spec
SRPM URL: http://dprince.fedorapeople.org/python-oslo-sphinx-1.0-1.src.rpm
Description: Sphinx theme and extensions support used by OpenStack.
Fedora Account System Username: dprince

Comment 1 Christopher Meng 2013-07-09 02:56:24 UTC
Hi,

Initial look:

1. Can you tell me why Release tag has no "%{?dist}" macro?

2. From changelog I can see 2013.1-0.1, and I cannot receive such information from tags, can you tell me?

3. %doc README.rst
%doc LICENSE

can be in one line.

Comment 2 Kashyap Chamarthy 2013-07-09 04:05:17 UTC
Christopher is right, just expanding a bit more:

(1) Yes, I'd also prefer to see %{?dist}, because:

    - "it differentiates multiple packages which would otherwise have the same %{name}-%{version}-%{release}, but very different dependencies."

    - If you use the same spec in RHEL, it'll evaluate {%?dist} to RHEL-7 or whatever.


(2) Yes, there appears to be a mismatch in the version mentioned in %changelog entry and Source0 entry.

    2013.1 is the stable release of Grizzly -- https://wiki.openstack.org/wiki/Releases


(3) Yes, it could be  -- %doc README.rst LICENCE

Comment 3 Kashyap Chamarthy 2013-07-09 04:08:02 UTC
Manual Review upcoming, fedora-review tool and Koji scratch build result here:


$ fedora-review -m fedora-rawhide-x86_64  \
 --rpm-spec -n  python-oslo-sphinx-1.0-1.src.rpm

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Package complies to the Packaging Guidelines
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)". Detailed output of licensecheck in
     /home/kashyap/rpmbuild/SRPMS/python-oslo-sphinx/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Dist tag is present.
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python-oslo-sphinx-1.0-1.noarch.rpm
python-oslo-sphinx.noarch: W: incoherent-version-in-changelog 2013.1-0.1 ['1.0-1', '1.0-1']
1 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-oslo-sphinx
python-oslo-sphinx.noarch: W: incoherent-version-in-changelog 2013.1-0.1 ['1.0-1', '1.0-1']
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-oslo-sphinx (rpmlib, GLIBC filtered):
    python(abi)
    python-setuptools



Provides
--------
python-oslo-sphinx:
    python-oslo-sphinx



Source checksums
----------------
http://tarballs.openstack.org/oslo.sphinx/oslo.sphinx-1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 9ace766ffc93abf406508f4536b351338b5ca37407dfcefda7c5749d84e5004a
  CHECKSUM(SHA256) upstream package : 222b76cc39ca6ed947049d348ff228cd851789827d31891dbfc61ada87704635
However, diff -r shows no differences


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 --rpm-spec -n python-oslo-sphinx-1.0-1.src.rpm


Koji Build successful:
~~~~~~~~~~~~~~~~~~~~~~

kashyap@SRPMS$ koji build --scratch rawhide python-oslo-sphinx-1.0-1.src.rpm 
Uploading srpm: python-oslo-sphinx-1.0-1.src.rpm
[====================================] 100% 00:00:01  24.24 KiB  12.58 KiB/sec
Created task: 5586931
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5586931
Watching tasks (this may be safely interrupted)...
5586931 build (rawhide, python-oslo-sphinx-1.0-1.src.rpm): open (buildvm-16.phx2.fedoraproject.org)
  5586932 buildArch (python-oslo-sphinx-1.0-1.src.rpm, noarch): open (buildvm-13.phx2.fedoraproject.org)
5586931 build (rawhide, python-oslo-sphinx-1.0-1.src.rpm): open (buildvm-16.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
  5586932 buildArch (python-oslo-sphinx-1.0-1.src.rpm, noarch): open (buildvm-13.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

5586931 build (rawhide, python-oslo-sphinx-1.0-1.src.rpm) completed successfully
~~~~~~

Comment 4 Christopher Meng 2013-07-09 04:11:33 UTC
A suggestion, please use rpmdev-bumspec to generate the changelog template.

Comment 5 Pádraig Brady 2013-07-22 01:27:13 UTC
Spec URL: http://pbrady.fedorapeople.org/python-oslo-sphinx.spec
SRPM URL: http://pbrady.fedorapeople.org/python-oslo-sphinx-1.0-2.fc19.src.rpm
Description: Sphinx theme and extensions support used by OpenStack.
Fedora Account System Username: dprince

Comment 6 Kashyap Chamarthy 2013-07-22 03:54:08 UTC
Thanks Pádraig for the new package.

Manual Review:
~~~~~~~~~~~~~~

Short: Everything looks good.


Long:

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
	- ASL 2.0
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[-]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)". Detailed output of licensecheck in
     /home/kashyap/rpmbuild/SRPMS/python-oslo-sphinx/licensecheck.txt
====
	- $ cat /home/kashyap/rpmbuild/SRPMS/python-oslo-sphinx/licensecheck.txt

Apache (v2.0)
-------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/oslo.sphinx-1.0/oslo/__init__.py
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/oslo.sphinx-1.0/oslo/sphinx/__init__.py
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/oslo.sphinx-1.0/setup.py
====

[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.

	- This is OK.

Python:
[x]: Python eggs must not download any dependencies during the build process.
	- $ cat upstream-unpacked/Source0/oslo.sphinx-1.0/oslo.sphinx.egg-info/dependency_links.txt
	- i.e. No dependencies listed.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
	- $ cd upstream-unpacked/Source0/oslo.sphinx-1.0/
	- $ tree oslo.sphinx.egg-info/
oslo.sphinx.egg-info/
├── dependency_links.txt
├── namespace_packages.txt
├── not-zip-safe
├── PKG-INFO
├── SOURCES.txt
└── top_level.txt

[x]: Package meets the Packaging Guidelines::Python



===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
	- Upstream doesn't provide tests yet.
[x]: Packages should try to preserve timestamps of original installed files.




Rpmlint
-------
Checking: python-oslo-sphinx-1.0-2.fc20.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-oslo-sphinx
python-oslo-sphinx.noarch: W: incoherent-version-in-changelog 2013.1-0.1 ['1.0-1', '1.0-1']
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-oslo-sphinx (rpmlib, GLIBC filtered):
    python(abi)
    python-setuptools



Provides
--------
python-oslo-sphinx:
    python-oslo-sphinx



Source checksums
----------------
http://tarballs.openstack.org/oslo.sphinx/oslo.sphinx-1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 222b76cc39ca6ed947049d348ff228cd851789827d31891dbfc61ada87704635
  CHECKSUM(SHA256) upstream package : 222b76cc39ca6ed947049d348ff228cd851789827d31891dbfc61ada87704635

Comment 7 Kashyap Chamarthy 2013-07-22 03:55:39 UTC
With new SRPM, koji scratch build successful too:

$ koji build --scratch rawhide python-oslo-sphinx-1.0-2.fc19.src.rpm 
Uploading srpm: python-oslo-sphinx-1.0-2.fc19.src.rpm
[====================================] 100% 00:00:01  24.33 KiB  14.89 KiB/sec
Created task: 5637089
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5637089
Watching tasks (this may be safely interrupted)...
5637089 build (rawhide, python-oslo-sphinx-1.0-2.fc19.src.rpm): open (arm02-builder14.arm.fedoraproject.org)
  5637091 buildArch (python-oslo-sphinx-1.0-2.fc19.src.rpm, noarch): open (buildvm-16.phx2.fedoraproject.org)
  5637091 buildArch (python-oslo-sphinx-1.0-2.fc19.src.rpm, noarch): open (buildvm-16.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
5637089 build (rawhide, python-oslo-sphinx-1.0-2.fc19.src.rpm): open (arm02-builder14.arm.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

5637089 build (rawhide, python-oslo-sphinx-1.0-2.fc19.src.rpm) completed successfully


And, per comment #7, looks good.

Package approved.

Comment 8 Kashyap Chamarthy 2013-07-22 08:31:34 UTC
One comment (mrunge noticed it):

From the SPEC, the below fix can be moved into %prep section, just so all clean-up stuff is in one place, and it's also consistent style:

    # Fix hidden-file-or-dir warnings
    rm -fr doc/build/html/.buildinfo

Comment 9 Pádraig Brady 2013-07-23 12:41:30 UTC
Re comment 8, that removed file is only generated in the build

Comment 10 Pádraig Brady 2013-07-23 12:45:47 UTC
New Package SCM Request
=======================
Package Name: python-oslo-sphinx
Short Description: Sphinx theme and extensions support used by OpenStack
Owners: pbrady dprince
Branches: el6
InitialCC:

Comment 11 Gwyn Ciesla 2013-07-23 12:56:14 UTC
Git done (by process-git-requests).

Comment 12 Alan Pevec 2014-03-07 14:48:18 UTC
This was renamed upstream to https://pypi.python.org/pypi/oslosphinx
due to issues with pip in OpenStack CI jobs.

For OpenStack Fedora packages you can do something like
http://pkgs.fedoraproject.org/cgit/openstack-keystone.git/commit/?id=64ec7a09422e9d362e67a8806c94f8879812e711
to make them build with python-oslo-sphinx RPM.


Note You need to log in before you can comment on or make changes to this bug.